# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "site_log"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "site_log"
homepage = "https://github.com/js0-site/rust/tree/main/site_log"
readme = "README.md"
keywords = []
license = "MulanPSL-2.0"
repository = "https://github.com/js0-site/rust.git"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []

[lib]
name = "site_log"
path = "src/lib.rs"

[[test]]
name = "main"
path = "tests/main.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.fred]
version = "10.1.0"

[dependencies.intbin]
version = "0.2.3"

[dependencies.ipbin]
version = "0.1.1"

[dependencies.kvid]
version = "0.1.1"

[dependencies.linkme]
version = "0.3.35"

[dependencies.tokio]
version = "1.48.0"

[dependencies.tosql]
version = "0.1.15"

[dependencies.ts_]
version = "0.1.1"
features = ["sec"]

[dependencies.vb]
version = "0.2.5"

[dependencies.xbin]
version = "0.1.9"

[dependencies.xerr]
version = "0.1.16"

[dependencies.xkv]
version = "0.1.51"
features = ["r"]

[dev-dependencies.aok]
version = "0.1.18"

[dev-dependencies.log]
version = "0.4.28"

[dev-dependencies.log_init]
version = "0.1.28"

[dev-dependencies.static_init]
version = "1.0.4"

[dev-dependencies.tokio]
version = "1.48.0"
features = [
    "macros",
    "rt",
    "rt-multi-thread",
    "time",
    "sync",
]
